<?php
// Création d'un tableau d'entiers
$tab_ent = array (18,22,-25,-3,-5,88);
// Création d'un tableau de réels
$tab_notes = array (0.5,15.5,8.0,20.0);
// Création d'un tableau de chaînes de caractères
$tab_noms = array (0=>'Dupont', 10=>'Martin', 20=>'Durand');
// affichage des trois tableaux
echo '--- Affichage de $tab_ent ---'.PHP_EOL;
$taille=count($tab_ent);
for ($i=0;$i<$taille;$i++)
{
 echo "[$i]:$tab_ent[$i]\t";
}
echo PHP_EOL;
echo '--- Affichage de $tab_notes ---'.PHP_EOL;
$taille=count($tab_notes);
for ($i=0;$i<$taille;$i++)
{
 echo "[$i]:$tab_notes[$i]\t";
}
echo PHP_EOL;
echo '--- Affichage de $tab_noms ---'.PHP_EOL;
reset($tab_noms); // positionne le pointeur interne au début du tableau
$premier_indice=key($tab_noms); // récupère l'indice courant
end($tab_noms); // positionne le pointeur interne à la fin du tableau
$dernier_indice=key($tab_noms); // récupère l'indice courant
reset($tab_noms); // positionne le pointeur interne au début du tableau
for ($i=$premier_indice;$i<=$dernier_indice;$i++)
{
 if (isset($tab_noms[$i])) // Si l'élément existe
 {
  echo "[$i]:$tab_noms[$i]\t";
 }
}
echo PHP_EOL;
?>
